Bug 167371 - crash when saving file larger than remaining space on device
crash when saving file larger than remaining space on device
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 18:37 EDT by Jón Fairbairn
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-02 05:18:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contents of "OOo has crashed" window (4.00 KB, text/plain)
2005-09-01 18:40 EDT, Jón Fairbairn
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 19481 None None None Never

  None (edit)
Description Jón Fairbairn 2005-09-01 18:37:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
If one attempts to save a file larger than the free space remaining on a device, one of three things happens: 
(1) an I/O error dbox (OK, but it ought to say that there's not enough space rather than somethine general) 
(2) a backtrace (I'll attach one)
(3) silent crash (ie openoffice just disappears)


Version-Release number of selected component (if applicable):
openoffice.org-core-1.9.125-1.1.0.fc4

How reproducible:
Sometimes

Steps to Reproduce:
1. make a small fs in a file
2. mount it on a loopback
3. fill most of it up from /dev/zero
4. create a file with oowriter
5. attempt to save on the loopback fs
  

Actual Results:  one of 
silent crash
crash with backtrace
error dbox "Error saving document <blah>: General Error: General input/output error."

Expected Results:  error dbox saying something about there not being enough room on the device.

Additional info:

This happens if someone tries to save to a floppy, not just loopback fss.

Contents of file are apparently lost.
Comment 1 Jón Fairbairn 2005-09-01 18:40:48 EDT
Created attachment 118370 [details]
contents of "OOo has crashed" window
Comment 2 Jón Fairbairn 2005-09-01 18:44:00 EDT
I'm on the end of a dialup line, so not terribly inclined to saturate it for 20
hours or so to install openoffice.org-debuginfo
Comment 3 Caolan McNamara 2005-09-02 05:18:32 EDT
OOo is known to be flawed with out of diskspace issues, see
http://qa.openoffice.org/issues/show_bug.cgi?id=19481

Note You need to log in before you can comment on or make changes to this bug.